﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EditableObjects
{
    class MyTraceListener : TraceListener
    {
        private MainWindowViewModel _viewModel;

        public MyTraceListener(MainWindowViewModel viewModel)
        {
            _viewModel = viewModel;
        }

        public override void Write(string message)
        {
            WriteTrace(message);
        }

        public override void WriteLine(string message)
        {
            WriteTrace(message);
        }

        private void WriteTrace(string message)
        {
            _viewModel.AddTrace(message);
        }
    }
}
